services:
  _defaults:
    autowire: true
    autoconfigure: true
    public: true

  SGalinski\SgYoutube\:
    resource: '../Classes/*'

  SGalinski\SgYoutube\Preview\PreviewRenderer:
    public: true
    autowire: true

  SGalinski\SgYoutube\Service\YoutubeService:
    public: true
    autowire: false
    arguments:
      $cache: '@cache.sgyoutube_cache'

  cache.sgyoutube_cache:
    class: TYPO3\CMS\Core\Cache\Frontend\FrontendInterface
    factory: [ '@TYPO3\CMS\Core\Cache\CacheManager', 'getCache' ]
    arguments: [ 'sgyoutube_cache' ]

  SGalinski\SgYoutube\Form\Element\LicenceStatus:
    autowire: false
    autoconfigure: false
